php_flowtime.d(1m)

NAME
php_flowtime.d - snoop PHP functions with flow and delta times.

SYNOPSIS
php_flowtime.d

DESCRIPTION
This traces shell activity from PHP programs on the system that are running with PHP provider support. This watches PHP function entries and returns, and indents child function calls. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Php provider, which may change as additional features are introduced. Check Php/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # php_flowtime.d

FIELDS

C   CPU-id

TIME(us)
    Time since boot, us

FILE
    Filename that this function belongs to

DELTA(us)
    Elapsed time from previous line to this line

FUNC
    PHP function name

LEGEND

->  function entry

<-  function return

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
php_flowtime.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)